Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 591216 - perl-POE-Component-IRC: arbitrary IRC command execution due to insufficient stripping of CR/LF [fedora-all]
perl-POE-Component-IRC: arbitrary IRC command execution due to insufficient s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-POE-Component-IRC (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
: Security, SecurityTracking
: 663803 (view as bug list)
Depends On:
Blocks: CVE-2010-3438
  Show dependency treegraph
 
Reported: 2010-05-11 12:52 EDT by Vincent Danen
Modified: 2010-12-17 01:06 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-POE-Component-IRC-6.14-2.fc13.1
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
: 594464 (view as bug list)
Environment:
Last Closed: 2010-05-28 14:07:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-05-11 12:52:07 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

Forr more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=591215

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Iain Arnell 2010-05-20 14:30:44 EDT
Updating to latest upstream version would pull in updated dependencies that we don't have yet. I've applied the patches from bug 591215 to F-12, F-13, and devel branches for the current perl-POE-Component-IRC-6.14 packages. Bug 594464 remains for F-11.
Comment 2 Fedora Update System 2010-05-20 14:38:02 EDT
perl-POE-Component-IRC-6.14-2.fc13.1 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-POE-Component-IRC-6.14-2.fc13.1
Comment 3 Fedora Update System 2010-05-20 14:38:10 EDT
perl-POE-Component-IRC-6.14-1.fc12.1 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-POE-Component-IRC-6.14-1.fc12.1
Comment 4 Fedora Update System 2010-05-21 21:52:11 EDT
perl-POE-Component-IRC-6.14-1.fc12.1 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-POE-Component-IRC'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-POE-Component-IRC-6.14-1.fc12.1
Comment 5 Fedora Update System 2010-05-21 21:52:54 EDT
perl-POE-Component-IRC-6.14-2.fc13.1 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-POE-Component-IRC'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-POE-Component-IRC-6.14-2.fc13.1
Comment 6 Fedora Update System 2010-05-28 14:07:32 EDT
perl-POE-Component-IRC-6.14-1.fc12.1 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-05-28 14:08:25 EDT
perl-POE-Component-IRC-6.14-2.fc13.1 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Iain Arnell 2010-12-17 01:06:36 EST
*** Bug 663803 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.